<!-- Em website/templates/base.html -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %}Provenire{% endblock %}</title>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand" href="/">Provenire</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                      Documentacão Técnica
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                      <a class="dropdown-item" target="_blank" href="/swagger">Documentação no Padrão Swagger</a>
                      <a class="dropdown-item" target="_blank" href="/redoc">Documentação no Padrão REDOC</a>
                      <a class="dropdown-item" target="_blank" href="/static/images/pro-data-er.png">Modelo ER de Dados Científicos em Geologia</a>
                        <a class="dropdown-item" target="_blank" href="/static/images/pro-pemissions-er.png">Modelo ER de Autenticação e Autorização</a>
                        <a class="dropdown-item" target="_blank" href="/static/images/pro-physical-model.png">Modelo de Dados Físico</a>
                        <a class="dropdown-item"  href="/apihub/">Instalação e Configuração das Api's</a>
                        <a class="dropdown-item"  href="/database/">Instalação e Configuração do Banco de Dados</a>
                    </div>
              </li>
                
            </ul>
        </div>
        <a class="btn btn-primary" href="/admin">Site Admin</a>
    </nav>
    <div class="container mt-4">
        {% block content %}
        {% endblock %}
    </div>

    <!-- Optional JavaScript; choose one of the two! -->

    <!-- Option 1: jQuery and Bootstrap Bundle (includes Popper) -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.bundle.min.js"></script>

    {% block scripts %}
    {% endblock %}

</body>
</html>
